/*
 * led.h
 *
 *  Created on: 12 Jan 2025
 *      Author: user
 */

#ifndef LED_H_
#define LED_H_

#include <stdint.h>
#include <stdbool.h>
#include "fsl_dspi.h"

// Define the buffer size
#define BUFF_LENGTH (3*3*8*8)

// Public variables
extern volatile bool g_Transfer_Done;
extern volatile bool isTransferCompleted;

// Public function prototypes
void sendLEDData(uint8_t *srcAddr);
void whiteLight(void);
void rightLight(void);
void leftLight(void);
void turnOff(void);

#endif /* LED_H_ */
